// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
// ZOMBIE TORRENT 2: CROSSHAIRS
// Small file, not much here
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

enum XHair {
	XH_DEFAULT = 11,
	XH_SHOTGUN = 13,
	XH_SNIPER = 14,
	XH_CIRCLESMALL = 15,
	XH_BLUR = 16,
	XH_QUADBIG = 17,
	XH_QUADSMALL = 18,
	XH_LMG = 19,
	XH_LMGSMALL = 21,
	XH_NOTHING = 20,
};

// Which crosshair do we want to use?

int GetCrosshair()
{
	// Are we in ADS? Hide it REGARDLESS
	
	if (CheckInventory("InIronSights"))
		return XH_NOTHING;
		
	// We use GetWeapon here to forcefully get type!
	// Why? Our looping 1-tic weapon check MIGHT not
	// detect our current weapon in time!
	
	// Better to grab it again just in case
	
	int WI = WeaponByType( GetWeapon() );
	
	return (WI >= 0) ? WeaponList[WI].Crosshair : XH_NOTHING;
}

script "GetCrosshair" { SetResultValue(GetCrosshair()); }